DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ImageWriteEPS

Write image to Encapsulated PostScript file (in dipIO)

## SYNOPSIS

`#include "dipio_ps.h"`

dip_Error dipio_ImageWriteEPS ( image, filename, photometric, xcm, ycm, border )

## FUNCTION

This function writes the image to an Encapsulated PostScript file, overwriting any other file with the same name. Set the image size in `xcm` and `ycm`. `border` sets the size of the border around the image. If `border` is 0, no border is drawn. For colour images, set `photometric` (supported are RGB and CMYK) and write the colour channels along the third image dimension.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output image
`dip_String` | `filename` | File name
`dipio_PhotometricInterpretation` | `photometric` | Photometric interpretation
`dip_float` | `xcm` | X-size of image in cm.
`dip_float` | `ycm` | Y-size of image in cm.
`dip_int` | `border` | Thickness of border, zero is no border

The enumerator `dipio_PhotometricInterpretation` contains the following constants:

Name | Description
`DIPIO_PHM_GREYVALUE` | No colour information present; it's a grey-value image.
`DIPIO_PHM_RGB` | RGB image (the first three planes are red, green and blue)
`DIPIO_PHM_RGB_NONLINEAR` | Non-linear R'G'B' image (RGB channels to the power of 0.4)
`DIPIO_PHM_CMY` | CMY image (the first three planes are cyan, magenta and yellow)
`DIPIO_PHM_CMYK` | CMYK image (the first four planes are cyan, magenta, yellow and black)
`DIPIO_PHM_CIELUV` | CIE L*u'v' image (the first three planes are luminosity, u* and v*)
`DIPIO_PHM_CIELAB` | CIE L*a*b* image (the first three planes are luminosity, a* and b*)
`DIPIO_PHM_CIEXYZ` | CIE XYZ (the first three planes are X, Y and Z)
`DIPIO_PHM_CIEYXY` | CIE Yxy (the first three planes are Y, x and y)
`DIPIO_PHM_HCV` | HCV image (the first three planes are hue, chroma and value)
`DIPIO_PHM_HSV` | HSV image (the first three planes are hue, saturation and value)
`DIPIO_PHM_DEFAULT` | Same as `DIPIO_PHM_GREYVALUE`
`DIPIO_PHM_GENERIC` | Anything can be coded in the channels; the same as `DIPIO_PHM_CMYK`

Most file formats support only some of these.

## SEE ALSO

`ImageWrite`, `ImageWriteColour`, `ImageWritePS`

DIPlib on-line documentation | Function reference | Global function index